var o = Object.defineProperty, b = Object.defineProperties;
var l = Object.getOwnPropertyDescriptors;
var c = Object.getOwnPropertySymbols;
var u = Object.prototype.hasOwnProperty, d = Object.prototype.propertyIsEnumerable;
var e = (n, t, a) => t in n ? o(n, t, { enumerable: !0, configurable: !0, writable: !0, value: a }) : n[t] = a, m = (n, t) => {
  for (var a in t || (t = {}))
    u.call(t, a) && e(n, a, t[a]);
  if (c)
    for (var a of c(t))
      d.call(t, a) && e(n, a, t[a]);
  return n;
}, i = (n, t) => b(n, l(t));
import { jsx as s } from "react/jsx-runtime";
import "./style.less.mjs";
const g = (n) => {
  var t;
  return /* @__PURE__ */ s("button", i(m({}, n), {
    className: `g-icon-btn disabled ${(t = n == null ? void 0 : n.className) != null ? t : ""}`
  }));
};
export {
  g as IconButton
};
